﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class SamplePage : ContentPage
    {
        public SamplePage()
        {
            InitializeComponent();
			ViewModel view = new ViewModel ();
			Chart.BindingContext = view;
        }
    }

	public class ViewModel
	{
		public ObservableCollection<Model> LineData { get; set; }

		public ViewModel()
		{
			LineData = new ObservableCollection<Model>
			{                
				new Model("Aron", 43),
				new Model("Erik", 23),
				new Model("Karl Petter", 29),
				new Model("Others", 51),
				new Model("Pal", 42),
				new Model("Tommy", 19)
			};
				
		}
	}

	public class Model
	{
		public string Name { get; set; }

		public double Value { get; set; }

		public Model(string name, double value)
		{
			Name = name;
			Value = value;
		}
	}
		
}